---
title: Personal
slug: eco/personal
docTags: 
createdAt: 2025-07-31T04:26:46.351Z
---

:::ApiMethodV2
```json
{
  "name": "Request report of personal user",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/data/eco/v1/personal/report",
  "description": "Get report by personal user's CPF.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "PhJ3GW7pXOgvChqYZ5BC0",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/data/eco/v1/personal/report?taxId=string&kycVerified=true&product=string' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "IVBds3SnGN1QvIUcD0e4X",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/data/eco/v1/personal/report?taxId=string&kycVerified=true&product=string',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "5Ybid2C-spp5vMlWbY4f2",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/data/eco/v1/personal/report?taxId=string&kycVerified=true&product=string\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "n5X0GTiYPd_6yfEg_MT5n",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/data/eco/v1/personal/report?taxId=string&kycVerified=true&product=string\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "61APJ9IwpBEBWAI4t9Bj-",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/data/eco/v1/personal/report?taxId=string&kycVerified=true&product=string\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PhJ3GW7pXOgvChqYZ5BC0"
  },
  "results": {
    "languages": [
      {
        "id": "75M6sUiQynpVBEkJkuFbh",
        "language": "200",
        "customLabel": "",
        "code": ""
      }
    ],
    "selectedLanguageId": "75M6sUiQynpVBEkJkuFbh"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "taxId",
        "kind": "required",
        "type": "string",
        "description": "The number of the personal user, the value is CPF:\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n",
        "": "taxId"
      },
      {
        "name": "kycVerified",
        "kind": "required",
        "type": "boolean",
        "description": "Has the end user completed the KYC process on the partner side. Only after completing the KYC process will corresponding data be generated, this means that you must pass \"true\" in order to generate the corresponding report.",
        "": "boolean"
      },
      {
        "name": "product",
        "kind": "required",
        "type": "string",
        "description": "Report name, fixed string\ngeneral, pf_income_eco, pf_score_l1_eco",
        "": "Report name, fixed string\ngeneral, pf_income_eco, pf_score_l1_eco"
      }
    ],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "request-report-of-personal-user",
  "legacyHash": "Ailkhl0k-_3T8eMZp5-7Y"
}
```
:::

:::hint{type="info"}
Please refer to [Conecte error code](https://docs.klavi.ai/connect/open-finance-codes-and-errors) for error codes.
:::

